# Function renderNoise

- renderNoise(
  textureSize: ReadonlyVec2,
  scale: number,
  amplitude: number,
  ignoreWebGL2?: boolean,
  ): Promise<HTMLCanvasElement>

  Create a renderer, draw a 2D noise texture with it, then destroy the used resources, while returning the generated texture in the form of a canvas.

  #### Parameters

  - textureSize: ReadonlyVec2

    The resolution of the end result

  - scale: number

    A starting value can be 15

  - amplitude: number

    A starting value can be 1

  - ignoreWebGL2: boolean = false

    Ignore WebGL2, even when it's available

  #### Returns Promise<HTMLCanvasElement>

  - Defined in graphics/rendering/renderer/noise-renderer.ts:21